# Constant Field Values

## Contents

- io.dapr.*

## io.dapr.*

io.dapr.client.DaprHttp
Modifier and Type
Constant Field
Value
`public static final String`
`ALPHA_1_API_VERSION`
`"v1.0-alpha1"`
`public static final String`
`API_VERSION`
`"v1.0"`
io.dapr.client.Headers
Modifier and Type
Constant Field
Value
`public static final String`
`DAPR_API_TOKEN`
`"dapr-api-token"`
`public static final String`
`DAPR_USER_AGENT`
`"User-Agent"`
`public static final String`
`GRPC_TRACE_BIN`
`"grpc-trace-bin"`

io.dapr.client.domain.CloudEvent<T>
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_TYPE`
`"application/cloudevents+json"`
io.dapr.client.domain.Metadata
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_TYPE`
`"content-type"`
`public static final String`
`TTL_IN_SECONDS`
`"ttlInSeconds"`

io.dapr.spring.boot.autoconfigure.pubsub.DaprPubSubProperties
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PREFIX`
`"dapr.pubsub"`

io.dapr.spring.boot.autoconfigure.statestore.DaprStateStoreProperties
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PREFIX`
`"dapr.statestore"`

io.dapr.testcontainers.DaprContainerConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DAPR_PLACEMENT_IMAGE_TAG`
`"daprio/placement:1.15.7"`
`public static final String`
`DAPR_RUNTIME_IMAGE_TAG`
`"daprio/daprd:1.15.7"`
`public static final String`
`DAPR_SCHEDULER_IMAGE_TAG`
`"daprio/scheduler:1.15.7"`
`public static final String`
`DAPR_VERSION`
`"1.15.7"`

io.dapr.v1.AppCallbackAlphaGrpc
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"dapr.proto.runtime.v1.AppCallbackAlpha"`
io.dapr.v1.AppCallbackGrpc
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"dapr.proto.runtime.v1.AppCallback"`
io.dapr.v1.AppCallbackHealthCheckGrpc
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"dapr.proto.runtime.v1.AppCallbackHealthCheck"`
io.dapr.v1.CommonProtos.ConfigurationItem
Modifier and Type
Constant Field
Value
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
`public static final int`
`VERSION_FIELD_NUMBER`
`2`
io.dapr.v1.CommonProtos.Etag
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
io.dapr.v1.CommonProtos.HTTPExtension
Modifier and Type
Constant Field
Value
`public static final int`
`QUERYSTRING_FIELD_NUMBER`
`2`
`public static final int`
`VERB_FIELD_NUMBER`
`1`
io.dapr.v1.CommonProtos.HTTPExtension.Verb
Modifier and Type
Constant Field
Value
`public static final int`
`CONNECT_VALUE`
`6`
`public static final int`
`DELETE_VALUE`
`5`
`public static final int`
`GET_VALUE`
`1`
`public static final int`
`HEAD_VALUE`
`2`
`public static final int`
`NONE_VALUE`
`0`
`public static final int`
`OPTIONS_VALUE`
`7`
`public static final int`
`PATCH_VALUE`
`9`
`public static final int`
`POST_VALUE`
`3`
`public static final int`
`PUT_VALUE`
`4`
`public static final int`
`TRACE_VALUE`
`8`
io.dapr.v1.CommonProtos.InvokeRequest
Modifier and Type
Constant Field
Value
`public static final int`
`CONTENT_TYPE_FIELD_NUMBER`
`3`
`public static final int`
`DATA_FIELD_NUMBER`
`2`
`public static final int`
`HTTP_EXTENSION_FIELD_NUMBER`
`4`
`public static final int`
`METHOD_FIELD_NUMBER`
`1`
io.dapr.v1.CommonProtos.InvokeResponse
Modifier and Type
Constant Field
Value
`public static final int`
`CONTENT_TYPE_FIELD_NUMBER`
`2`
`public static final int`
`DATA_FIELD_NUMBER`
`1`
io.dapr.v1.CommonProtos.StateItem
Modifier and Type
Constant Field
Value
`public static final int`
`ETAG_FIELD_NUMBER`
`3`
`public static final int`
`KEY_FIELD_NUMBER`
`1`
`public static final int`
`METADATA_FIELD_NUMBER`
`4`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`5`
`public static final int`
`VALUE_FIELD_NUMBER`
`2`
io.dapr.v1.CommonProtos.StateOptions
Modifier and Type
Constant Field
Value
`public static final int`
`CONCURRENCY_FIELD_NUMBER`
`1`
`public static final int`
`CONSISTENCY_FIELD_NUMBER`
`2`
io.dapr.v1.CommonProtos.StateOptions.StateConcurrency
Modifier and Type
Constant Field
Value
`public static final int`
`CONCURRENCY_FIRST_WRITE_VALUE`
`1`
`public static final int`
`CONCURRENCY_LAST_WRITE_VALUE`
`2`
`public static final int`
`CONCURRENCY_UNSPECIFIED_VALUE`
`0`
io.dapr.v1.CommonProtos.StateOptions.StateConsistency
Modifier and Type
Constant Field
Value
`public static final int`
`CONSISTENCY_EVENTUAL_VALUE`
`1`
`public static final int`
`CONSISTENCY_STRONG_VALUE`
`2`
`public static final int`
`CONSISTENCY_UNSPECIFIED_VALUE`
`0`
io.dapr.v1.CommonProtos.StreamPayload
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`1`
`public static final int`
`SEQ_FIELD_NUMBER`
`2`
io.dapr.v1.DaprAppCallbackProtos.BindingEventRequest
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprAppCallbackProtos.BindingEventResponse
Modifier and Type
Constant Field
Value
`public static final int`
`CONCURRENCY_FIELD_NUMBER`
`5`
`public static final int`
`DATA_FIELD_NUMBER`
`4`
`public static final int`
`STATES_FIELD_NUMBER`
`2`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
`public static final int`
`TO_FIELD_NUMBER`
`3`
io.dapr.v1.DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency
Modifier and Type
Constant Field
Value
`public static final int`
`PARALLEL_VALUE`
`1`
`public static final int`
`SEQUENTIAL_VALUE`
`0`
io.dapr.v1.DaprAppCallbackProtos.BulkSubscribeConfig
Modifier and Type
Constant Field
Value
`public static final int`
`ENABLED_FIELD_NUMBER`
`1`
`public static final int`
`MAX_AWAIT_DURATION_MS_FIELD_NUMBER`
`3`
`public static final int`
`MAX_MESSAGES_COUNT_FIELD_NUMBER`
`2`
io.dapr.v1.DaprAppCallbackProtos.JobEventRequest
Modifier and Type
Constant Field
Value
`public static final int`
`CONTENT_TYPE_FIELD_NUMBER`
`4`
`public static final int`
`DATA_FIELD_NUMBER`
`2`
`public static final int`
`HTTP_EXTENSION_FIELD_NUMBER`
`5`
`public static final int`
`METHOD_FIELD_NUMBER`
`3`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprAppCallbackProtos.ListInputBindingsResponse
Modifier and Type
Constant Field
Value
`public static final int`
`BINDINGS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprAppCallbackProtos.ListTopicSubscriptionsResponse
Modifier and Type
Constant Field
Value
`public static final int`
`SUBSCRIPTIONS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ENTRIES_FIELD_NUMBER`
`2`
`public static final int`
`ID_FIELD_NUMBER`
`1`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`PATH_FIELD_NUMBER`
`7`
`public static final int`
`PUBSUB_NAME_FIELD_NUMBER`
`5`
`public static final int`
`TOPIC_FIELD_NUMBER`
`4`
`public static final int`
`TYPE_FIELD_NUMBER`
`6`
io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkRequestEntry
Modifier and Type
Constant Field
Value
`public static final int`
`BYTES_FIELD_NUMBER`
`2`
`public static final int`
`CLOUD_EVENT_FIELD_NUMBER`
`3`
`public static final int`
`CONTENT_TYPE_FIELD_NUMBER`
`4`
`public static final int`
`ENTRY_ID_FIELD_NUMBER`
`1`
`public static final int`
`METADATA_FIELD_NUMBER`
`5`
io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkResponse
Modifier and Type
Constant Field
Value
`public static final int`
`STATUSES_FIELD_NUMBER`
`1`
io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkResponseEntry
Modifier and Type
Constant Field
Value
`public static final int`
`ENTRY_ID_FIELD_NUMBER`
`1`
`public static final int`
`STATUS_FIELD_NUMBER`
`2`
io.dapr.v1.DaprAppCallbackProtos.TopicEventCERequest
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_CONTENT_TYPE_FIELD_NUMBER`
`5`
`public static final int`
`DATA_FIELD_NUMBER`
`6`
`public static final int`
`EXTENSIONS_FIELD_NUMBER`
`7`
`public static final int`
`ID_FIELD_NUMBER`
`1`
`public static final int`
`SOURCE_FIELD_NUMBER`
`2`
`public static final int`
`SPEC_VERSION_FIELD_NUMBER`
`4`
`public static final int`
`TYPE_FIELD_NUMBER`
`3`
io.dapr.v1.DaprAppCallbackProtos.TopicEventRequest
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_CONTENT_TYPE_FIELD_NUMBER`
`5`
`public static final int`
`DATA_FIELD_NUMBER`
`7`
`public static final int`
`EXTENSIONS_FIELD_NUMBER`
`10`
`public static final int`
`ID_FIELD_NUMBER`
`1`
`public static final int`
`PATH_FIELD_NUMBER`
`9`
`public static final int`
`PUBSUB_NAME_FIELD_NUMBER`
`8`
`public static final int`
`SOURCE_FIELD_NUMBER`
`2`
`public static final int`
`SPEC_VERSION_FIELD_NUMBER`
`4`
`public static final int`
`TOPIC_FIELD_NUMBER`
`6`
`public static final int`
`TYPE_FIELD_NUMBER`
`3`
io.dapr.v1.DaprAppCallbackProtos.TopicEventResponse
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus
Modifier and Type
Constant Field
Value
`public static final int`
`DROP_VALUE`
`2`
`public static final int`
`RETRY_VALUE`
`1`
`public static final int`
`SUCCESS_VALUE`
`0`
io.dapr.v1.DaprAppCallbackProtos.TopicRoutes
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_FIELD_NUMBER`
`2`
`public static final int`
`RULES_FIELD_NUMBER`
`1`
io.dapr.v1.DaprAppCallbackProtos.TopicRule
Modifier and Type
Constant Field
Value
`public static final int`
`MATCH_FIELD_NUMBER`
`1`
`public static final int`
`PATH_FIELD_NUMBER`
`2`
io.dapr.v1.DaprAppCallbackProtos.TopicSubscription
Modifier and Type
Constant Field
Value
`public static final int`
`BULK_SUBSCRIBE_FIELD_NUMBER`
`7`
`public static final int`
`DEAD_LETTER_TOPIC_FIELD_NUMBER`
`6`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`PUBSUB_NAME_FIELD_NUMBER`
`1`
`public static final int`
`ROUTES_FIELD_NUMBER`
`5`
`public static final int`
`TOPIC_FIELD_NUMBER`
`2`
io.dapr.v1.DaprGrpc
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"dapr.proto.runtime.v1.Dapr"`
io.dapr.v1.DaprProtos.ActiveActorsCount
Modifier and Type
Constant Field
Value
`public static final int`
`COUNT_FIELD_NUMBER`
`2`
`public static final int`
`TYPE_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.ActorRuntime
Modifier and Type
Constant Field
Value
`public static final int`
`ACTIVE_ACTORS_FIELD_NUMBER`
`2`
`public static final int`
`HOST_READY_FIELD_NUMBER`
`3`
`public static final int`
`PLACEMENT_FIELD_NUMBER`
`4`
`public static final int`
`RUNTIME_STATUS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.ActorRuntime.ActorRuntimeStatus
Modifier and Type
Constant Field
Value
`public static final int`
`DISABLED_VALUE`
`1`
`public static final int`
`INITIALIZING_VALUE`
`0`
`public static final int`
`RUNNING_VALUE`
`2`
io.dapr.v1.DaprProtos.AppConnectionHealthProperties
Modifier and Type
Constant Field
Value
`public static final int`
`HEALTH_CHECK_PATH_FIELD_NUMBER`
`1`
`public static final int`
`HEALTH_PROBE_INTERVAL_FIELD_NUMBER`
`2`
`public static final int`
`HEALTH_PROBE_TIMEOUT_FIELD_NUMBER`
`3`
`public static final int`
`HEALTH_THRESHOLD_FIELD_NUMBER`
`4`
io.dapr.v1.DaprProtos.AppConnectionProperties
Modifier and Type
Constant Field
Value
`public static final int`
`CHANNEL_ADDRESS_FIELD_NUMBER`
`3`
`public static final int`
`HEALTH_FIELD_NUMBER`
`5`
`public static final int`
`MAX_CONCURRENCY_FIELD_NUMBER`
`4`
`public static final int`
`PORT_FIELD_NUMBER`
`1`
`public static final int`
`PROTOCOL_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.BulkPublishRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ENTRIES_FIELD_NUMBER`
`3`
`public static final int`
`METADATA_FIELD_NUMBER`
`4`
`public static final int`
`PUBSUB_NAME_FIELD_NUMBER`
`1`
`public static final int`
`TOPIC_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.BulkPublishRequestEntry
Modifier and Type
Constant Field
Value
`public static final int`
`CONTENT_TYPE_FIELD_NUMBER`
`3`
`public static final int`
`ENTRY_ID_FIELD_NUMBER`
`1`
`public static final int`
`EVENT_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`4`
io.dapr.v1.DaprProtos.BulkPublishResponse
Modifier and Type
Constant Field
Value
`public static final int`
`FAILEDENTRIES_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.BulkPublishResponseFailedEntry
Modifier and Type
Constant Field
Value
`public static final int`
`ENTRY_ID_FIELD_NUMBER`
`1`
`public static final int`
`ERROR_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.BulkStateItem
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`2`
`public static final int`
`ERROR_FIELD_NUMBER`
`4`
`public static final int`
`ETAG_FIELD_NUMBER`
`3`
`public static final int`
`KEY_FIELD_NUMBER`
`1`
`public static final int`
`METADATA_FIELD_NUMBER`
`5`
io.dapr.v1.DaprProtos.ConversationInput
Modifier and Type
Constant Field
Value
`public static final int`
`CONTENT_FIELD_NUMBER`
`1`
`public static final int`
`ROLE_FIELD_NUMBER`
`2`
`public static final int`
`SCRUBPII_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.ConversationRequest
Modifier and Type
Constant Field
Value
`public static final int`
`CONTEXTID_FIELD_NUMBER`
`2`
`public static final int`
`INPUTS_FIELD_NUMBER`
`3`
`public static final int`
`METADATA_FIELD_NUMBER`
`5`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`PARAMETERS_FIELD_NUMBER`
`4`
`public static final int`
`SCRUBPII_FIELD_NUMBER`
`6`
`public static final int`
`TEMPERATURE_FIELD_NUMBER`
`7`
io.dapr.v1.DaprProtos.ConversationResponse
Modifier and Type
Constant Field
Value
`public static final int`
`CONTEXTID_FIELD_NUMBER`
`1`
`public static final int`
`OUTPUTS_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.ConversationResult
Modifier and Type
Constant Field
Value
`public static final int`
`PARAMETERS_FIELD_NUMBER`
`2`
`public static final int`
`RESULT_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.DecryptRequest
Modifier and Type
Constant Field
Value
`public static final int`
`OPTIONS_FIELD_NUMBER`
`1`
`public static final int`
`PAYLOAD_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.DecryptRequestOptions
Modifier and Type
Constant Field
Value
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`KEY_NAME_FIELD_NUMBER`
`12`
io.dapr.v1.DaprProtos.DecryptResponse
Modifier and Type
Constant Field
Value
`public static final int`
`PAYLOAD_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.DeleteBulkStateRequest
Modifier and Type
Constant Field
Value
`public static final int`
`STATES_FIELD_NUMBER`
`2`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.DeleteJobRequest
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.DeleteStateRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ETAG_FIELD_NUMBER`
`3`
`public static final int`
`KEY_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`5`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`4`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.EncryptRequest
Modifier and Type
Constant Field
Value
`public static final int`
`OPTIONS_FIELD_NUMBER`
`1`
`public static final int`
`PAYLOAD_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.EncryptRequestOptions
Modifier and Type
Constant Field
Value
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`DATA_ENCRYPTION_CIPHER_FIELD_NUMBER`
`10`
`public static final int`
`DECRYPTION_KEY_NAME_FIELD_NUMBER`
`12`
`public static final int`
`KEY_NAME_FIELD_NUMBER`
`2`
`public static final int`
`KEY_WRAP_ALGORITHM_FIELD_NUMBER`
`3`
`public static final int`
`OMIT_DECRYPTION_KEY_NAME_FIELD_NUMBER`
`11`
io.dapr.v1.DaprProtos.EncryptResponse
Modifier and Type
Constant Field
Value
`public static final int`
`PAYLOAD_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.ExecuteActorStateTransactionRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ACTOR_ID_FIELD_NUMBER`
`2`
`public static final int`
`ACTOR_TYPE_FIELD_NUMBER`
`1`
`public static final int`
`OPERATIONS_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.ExecuteStateTransactionRequest
Modifier and Type
Constant Field
Value
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`OPERATIONS_FIELD_NUMBER`
`2`
`public static final int`
`STORENAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetActorStateRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ACTOR_ID_FIELD_NUMBER`
`2`
`public static final int`
`ACTOR_TYPE_FIELD_NUMBER`
`1`
`public static final int`
`KEY_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.GetActorStateResponse
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`1`
`public static final int`
`METADATA_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.GetBulkSecretRequest
Modifier and Type
Constant Field
Value
`public static final int`
`METADATA_FIELD_NUMBER`
`2`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetBulkSecretResponse
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetBulkStateRequest
Modifier and Type
Constant Field
Value
`public static final int`
`KEYS_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`4`
`public static final int`
`PARALLELISM_FIELD_NUMBER`
`3`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetBulkStateResponse
Modifier and Type
Constant Field
Value
`public static final int`
`ITEMS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetConfigurationRequest
Modifier and Type
Constant Field
Value
`public static final int`
`KEYS_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetConfigurationResponse
Modifier and Type
Constant Field
Value
`public static final int`
`ITEMS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetJobRequest
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetJobResponse
Modifier and Type
Constant Field
Value
`public static final int`
`JOB_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetMetadataResponse
Modifier and Type
Constant Field
Value
`public static final int`
`ACTIVE_ACTORS_COUNT_FIELD_NUMBER`
`2`
`public static final int`
`ACTOR_RUNTIME_FIELD_NUMBER`
`10`
`public static final int`
`APP_CONNECTION_PROPERTIES_FIELD_NUMBER`
`7`
`public static final int`
`ENABLED_FEATURES_FIELD_NUMBER`
`9`
`public static final int`
`EXTENDED_METADATA_FIELD_NUMBER`
`4`
`public static final int`
`HTTP_ENDPOINTS_FIELD_NUMBER`
`6`
`public static final int`
`ID_FIELD_NUMBER`
`1`
`public static final int`
`REGISTERED_COMPONENTS_FIELD_NUMBER`
`3`
`public static final int`
`RUNTIME_VERSION_FIELD_NUMBER`
`8`
`public static final int`
`SCHEDULER_FIELD_NUMBER`
`11`
`public static final int`
`SUBSCRIPTIONS_FIELD_NUMBER`
`5`
io.dapr.v1.DaprProtos.GetSecretRequest
Modifier and Type
Constant Field
Value
`public static final int`
`KEY_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetSecretResponse
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetStateRequest
Modifier and Type
Constant Field
Value
`public static final int`
`CONSISTENCY_FIELD_NUMBER`
`3`
`public static final int`
`KEY_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`4`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.GetStateResponse
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`1`
`public static final int`
`ETAG_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.GetWorkflowRequest
Modifier and Type
Constant Field
Value
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
`public static final int`
`WORKFLOW_COMPONENT_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.GetWorkflowResponse
Modifier and Type
Constant Field
Value
`public static final int`
`CREATED_AT_FIELD_NUMBER`
`3`
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
`public static final int`
`LAST_UPDATED_AT_FIELD_NUMBER`
`4`
`public static final int`
`PROPERTIES_FIELD_NUMBER`
`6`
`public static final int`
`RUNTIME_STATUS_FIELD_NUMBER`
`5`
`public static final int`
`WORKFLOW_NAME_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.InvokeActorRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ACTOR_ID_FIELD_NUMBER`
`2`
`public static final int`
`ACTOR_TYPE_FIELD_NUMBER`
`1`
`public static final int`
`DATA_FIELD_NUMBER`
`4`
`public static final int`
`METADATA_FIELD_NUMBER`
`5`
`public static final int`
`METHOD_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.InvokeActorResponse
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.InvokeBindingRequest
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPERATION_FIELD_NUMBER`
`4`
io.dapr.v1.DaprProtos.InvokeBindingResponse
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`1`
`public static final int`
`METADATA_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.InvokeServiceRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ID_FIELD_NUMBER`
`1`
`public static final int`
`MESSAGE_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.Job
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`6`
`public static final int`
`DUE_TIME_FIELD_NUMBER`
`4`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`REPEATS_FIELD_NUMBER`
`3`
`public static final int`
`SCHEDULE_FIELD_NUMBER`
`2`
`public static final int`
`TTL_FIELD_NUMBER`
`5`
io.dapr.v1.DaprProtos.MetadataHTTPEndpoint
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.MetadataScheduler
Modifier and Type
Constant Field
Value
`public static final int`
`CONNECTED_ADDRESSES_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.PauseWorkflowRequest
Modifier and Type
Constant Field
Value
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
`public static final int`
`WORKFLOW_COMPONENT_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.PublishEventRequest
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_CONTENT_TYPE_FIELD_NUMBER`
`4`
`public static final int`
`DATA_FIELD_NUMBER`
`3`
`public static final int`
`METADATA_FIELD_NUMBER`
`5`
`public static final int`
`PUBSUB_NAME_FIELD_NUMBER`
`1`
`public static final int`
`TOPIC_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.PubsubSubscription
Modifier and Type
Constant Field
Value
`public static final int`
`DEAD_LETTER_TOPIC_FIELD_NUMBER`
`5`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`PUBSUB_NAME_FIELD_NUMBER`
`1`
`public static final int`
`RULES_FIELD_NUMBER`
`4`
`public static final int`
`TOPIC_FIELD_NUMBER`
`2`
`public static final int`
`TYPE_FIELD_NUMBER`
`6`
io.dapr.v1.DaprProtos.PubsubSubscriptionRule
Modifier and Type
Constant Field
Value
`public static final int`
`MATCH_FIELD_NUMBER`
`1`
`public static final int`
`PATH_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.PubsubSubscriptionRules
Modifier and Type
Constant Field
Value
`public static final int`
`RULES_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.PubsubSubscriptionType
Modifier and Type
Constant Field
Value
`public static final int`
`DECLARATIVE_VALUE`
`1`
`public static final int`
`PROGRAMMATIC_VALUE`
`2`
`public static final int`
`STREAMING_VALUE`
`3`
`public static final int`
`UNKNOWN_VALUE`
`0`
io.dapr.v1.DaprProtos.PurgeWorkflowRequest
Modifier and Type
Constant Field
Value
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
`public static final int`
`WORKFLOW_COMPONENT_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.QueryStateItem
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`2`
`public static final int`
`ERROR_FIELD_NUMBER`
`4`
`public static final int`
`ETAG_FIELD_NUMBER`
`3`
`public static final int`
`KEY_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.QueryStateRequest
Modifier and Type
Constant Field
Value
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`QUERY_FIELD_NUMBER`
`2`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.QueryStateResponse
Modifier and Type
Constant Field
Value
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`RESULTS_FIELD_NUMBER`
`1`
`public static final int`
`TOKEN_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.RaiseEventWorkflowRequest
Modifier and Type
Constant Field
Value
`public static final int`
`EVENT_DATA_FIELD_NUMBER`
`4`
`public static final int`
`EVENT_NAME_FIELD_NUMBER`
`3`
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
`public static final int`
`WORKFLOW_COMPONENT_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.RegisterActorReminderRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ACTOR_ID_FIELD_NUMBER`
`2`
`public static final int`
`ACTOR_TYPE_FIELD_NUMBER`
`1`
`public static final int`
`DATA_FIELD_NUMBER`
`6`
`public static final int`
`DUE_TIME_FIELD_NUMBER`
`4`
`public static final int`
`NAME_FIELD_NUMBER`
`3`
`public static final int`
`PERIOD_FIELD_NUMBER`
`5`
`public static final int`
`TTL_FIELD_NUMBER`
`7`
io.dapr.v1.DaprProtos.RegisterActorTimerRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ACTOR_ID_FIELD_NUMBER`
`2`
`public static final int`
`ACTOR_TYPE_FIELD_NUMBER`
`1`
`public static final int`
`CALLBACK_FIELD_NUMBER`
`6`
`public static final int`
`DATA_FIELD_NUMBER`
`7`
`public static final int`
`DUE_TIME_FIELD_NUMBER`
`4`
`public static final int`
`NAME_FIELD_NUMBER`
`3`
`public static final int`
`PERIOD_FIELD_NUMBER`
`5`
`public static final int`
`TTL_FIELD_NUMBER`
`8`
io.dapr.v1.DaprProtos.RegisteredComponents
Modifier and Type
Constant Field
Value
`public static final int`
`CAPABILITIES_FIELD_NUMBER`
`4`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`TYPE_FIELD_NUMBER`
`2`
`public static final int`
`VERSION_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.ResumeWorkflowRequest
Modifier and Type
Constant Field
Value
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
`public static final int`
`WORKFLOW_COMPONENT_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SaveStateRequest
Modifier and Type
Constant Field
Value
`public static final int`
`STATES_FIELD_NUMBER`
`2`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.ScheduleJobRequest
Modifier and Type
Constant Field
Value
`public static final int`
`JOB_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SecretResponse
Modifier and Type
Constant Field
Value
`public static final int`
`SECRETS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SetMetadataRequest
Modifier and Type
Constant Field
Value
`public static final int`
`KEY_FIELD_NUMBER`
`1`
`public static final int`
`VALUE_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.StartWorkflowRequest
Modifier and Type
Constant Field
Value
`public static final int`
`INPUT_FIELD_NUMBER`
`5`
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`4`
`public static final int`
`WORKFLOW_COMPONENT_FIELD_NUMBER`
`2`
`public static final int`
`WORKFLOW_NAME_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.StartWorkflowResponse
Modifier and Type
Constant Field
Value
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SubscribeConfigurationRequest
Modifier and Type
Constant Field
Value
`public static final int`
`KEYS_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SubscribeConfigurationResponse
Modifier and Type
Constant Field
Value
`public static final int`
`ID_FIELD_NUMBER`
`1`
`public static final int`
`ITEMS_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubscribeTopicEventsRequestAlpha1
Modifier and Type
Constant Field
Value
`public static final int`
`EVENT_PROCESSED_FIELD_NUMBER`
`2`
`public static final int`
`INITIAL_REQUEST_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SubscribeTopicEventsRequestInitialAlpha1
Modifier and Type
Constant Field
Value
`public static final int`
`DEAD_LETTER_TOPIC_FIELD_NUMBER`
`4`
`public static final int`
`METADATA_FIELD_NUMBER`
`3`
`public static final int`
`PUBSUB_NAME_FIELD_NUMBER`
`1`
`public static final int`
`TOPIC_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubscribeTopicEventsRequestProcessedAlpha1
Modifier and Type
Constant Field
Value
`public static final int`
`ID_FIELD_NUMBER`
`1`
`public static final int`
`STATUS_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubscribeTopicEventsResponseAlpha1
Modifier and Type
Constant Field
Value
`public static final int`
`EVENT_MESSAGE_FIELD_NUMBER`
`2`
`public static final int`
`INITIAL_RESPONSE_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SubtleDecryptRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ALGORITHM_FIELD_NUMBER`
`3`
`public static final int`
`ASSOCIATED_DATA_FIELD_NUMBER`
`7`
`public static final int`
`CIPHERTEXT_FIELD_NUMBER`
`2`
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`KEY_NAME_FIELD_NUMBER`
`4`
`public static final int`
`NONCE_FIELD_NUMBER`
`5`
`public static final int`
`TAG_FIELD_NUMBER`
`6`
io.dapr.v1.DaprProtos.SubtleDecryptResponse
Modifier and Type
Constant Field
Value
`public static final int`
`PLAINTEXT_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SubtleEncryptRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ALGORITHM_FIELD_NUMBER`
`3`
`public static final int`
`ASSOCIATED_DATA_FIELD_NUMBER`
`6`
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`KEY_NAME_FIELD_NUMBER`
`4`
`public static final int`
`NONCE_FIELD_NUMBER`
`5`
`public static final int`
`PLAINTEXT_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubtleEncryptResponse
Modifier and Type
Constant Field
Value
`public static final int`
`CIPHERTEXT_FIELD_NUMBER`
`1`
`public static final int`
`TAG_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubtleGetKeyRequest
Modifier and Type
Constant Field
Value
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`FORMAT_FIELD_NUMBER`
`3`
`public static final int`
`NAME_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubtleGetKeyRequest.KeyFormat
Modifier and Type
Constant Field
Value
`public static final int`
`JSON_VALUE`
`1`
`public static final int`
`PEM_VALUE`
`0`
io.dapr.v1.DaprProtos.SubtleGetKeyResponse
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`PUBLIC_KEY_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubtleSignRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ALGORITHM_FIELD_NUMBER`
`3`
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`DIGEST_FIELD_NUMBER`
`2`
`public static final int`
`KEY_NAME_FIELD_NUMBER`
`4`
io.dapr.v1.DaprProtos.SubtleSignResponse
Modifier and Type
Constant Field
Value
`public static final int`
`SIGNATURE_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SubtleUnwrapKeyRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ALGORITHM_FIELD_NUMBER`
`3`
`public static final int`
`ASSOCIATED_DATA_FIELD_NUMBER`
`7`
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`KEY_NAME_FIELD_NUMBER`
`4`
`public static final int`
`NONCE_FIELD_NUMBER`
`5`
`public static final int`
`TAG_FIELD_NUMBER`
`6`
`public static final int`
`WRAPPED_KEY_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubtleUnwrapKeyResponse
Modifier and Type
Constant Field
Value
`public static final int`
`PLAINTEXT_KEY_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SubtleVerifyRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ALGORITHM_FIELD_NUMBER`
`3`
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`DIGEST_FIELD_NUMBER`
`2`
`public static final int`
`KEY_NAME_FIELD_NUMBER`
`4`
`public static final int`
`SIGNATURE_FIELD_NUMBER`
`5`
io.dapr.v1.DaprProtos.SubtleVerifyResponse
Modifier and Type
Constant Field
Value
`public static final int`
`VALID_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.SubtleWrapKeyRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ALGORITHM_FIELD_NUMBER`
`3`
`public static final int`
`ASSOCIATED_DATA_FIELD_NUMBER`
`6`
`public static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`1`
`public static final int`
`KEY_NAME_FIELD_NUMBER`
`4`
`public static final int`
`NONCE_FIELD_NUMBER`
`5`
`public static final int`
`PLAINTEXT_KEY_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.SubtleWrapKeyResponse
Modifier and Type
Constant Field
Value
`public static final int`
`TAG_FIELD_NUMBER`
`2`
`public static final int`
`WRAPPED_KEY_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.TerminateWorkflowRequest
Modifier and Type
Constant Field
Value
`public static final int`
`INSTANCE_ID_FIELD_NUMBER`
`1`
`public static final int`
`WORKFLOW_COMPONENT_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.TransactionalActorStateOperation
Modifier and Type
Constant Field
Value
`public static final int`
`KEY_FIELD_NUMBER`
`2`
`public static final int`
`METADATA_FIELD_NUMBER`
`4`
`public static final int`
`OPERATIONTYPE_FIELD_NUMBER`
`1`
`public static final int`
`VALUE_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.TransactionalStateOperation
Modifier and Type
Constant Field
Value
`public static final int`
`OPERATIONTYPE_FIELD_NUMBER`
`1`
`public static final int`
`REQUEST_FIELD_NUMBER`
`2`
io.dapr.v1.DaprProtos.TryLockRequest
Modifier and Type
Constant Field
Value
`public static final int`
`EXPIRY_IN_SECONDS_FIELD_NUMBER`
`4`
`public static final int`
`LOCK_OWNER_FIELD_NUMBER`
`3`
`public static final int`
`RESOURCE_ID_FIELD_NUMBER`
`2`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.TryLockResponse
Modifier and Type
Constant Field
Value
`public static final int`
`SUCCESS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.UnlockRequest
Modifier and Type
Constant Field
Value
`public static final int`
`LOCK_OWNER_FIELD_NUMBER`
`3`
`public static final int`
`RESOURCE_ID_FIELD_NUMBER`
`2`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.UnlockResponse
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.UnlockResponse.Status
Modifier and Type
Constant Field
Value
`public static final int`
`INTERNAL_ERROR_VALUE`
`3`
`public static final int`
`LOCK_BELONGS_TO_OTHERS_VALUE`
`2`
`public static final int`
`LOCK_DOES_NOT_EXIST_VALUE`
`1`
`public static final int`
`SUCCESS_VALUE`
`0`
io.dapr.v1.DaprProtos.UnregisterActorReminderRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ACTOR_ID_FIELD_NUMBER`
`2`
`public static final int`
`ACTOR_TYPE_FIELD_NUMBER`
`1`
`public static final int`
`NAME_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.UnregisterActorTimerRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ACTOR_ID_FIELD_NUMBER`
`2`
`public static final int`
`ACTOR_TYPE_FIELD_NUMBER`
`1`
`public static final int`
`NAME_FIELD_NUMBER`
`3`
io.dapr.v1.DaprProtos.UnsubscribeConfigurationRequest
Modifier and Type
Constant Field
Value
`public static final int`
`ID_FIELD_NUMBER`
`2`
`public static final int`
`STORE_NAME_FIELD_NUMBER`
`1`
io.dapr.v1.DaprProtos.UnsubscribeConfigurationResponse
Modifier and Type
Constant Field
Value
`public static final int`
`MESSAGE_FIELD_NUMBER`
`2`
`public static final int`
`OK_FIELD_NUMBER`
`1`